VectorLinux
October 23, 2014, 10:44:26 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: [VL7] No XFCE, but want to run Terminal? Here's the libs you need!  (Read 5479 times)
pierce.jason
Packager
Vectorite
****
Posts: 250



« on: March 31, 2011, 07:27:10 pm »

If you do a minimal install of VL7, XFCE doesn't install.

If you still want to use Terminal without the XFCE desktop environment, you'll need a couple libs.

Expand the archive, hop down in the directory and run arch-makepkg. This'll create a xfce4-libs package for you to install.

These are probably usefull for installing other XFCE-oriented apps in a standalone mode, like Thunar.
Logged

pierce.jason
Email: $(echo -e "moc\x2eliamg\x40nosaj.ecreip" | rev)
pierce.jason
Packager
Vectorite
****
Posts: 250



« Reply #1 on: March 31, 2011, 07:31:24 pm »

Actually, this one is small enough to attach as a fully assembled package.

Forum doesn't like .txz format so I tacked on .jpg to the end. Just remove .jpg and run
installpkg on the file.
Logged

pierce.jason
Email: $(echo -e "moc\x2eliamg\x40nosaj.ecreip" | rev)
Pita
Vectorian
****
Posts: 1311


« Reply #2 on: April 05, 2011, 10:22:04 pm »

In VL7-BETA-2.1

root:# arch-makepkg
==> ERROR: Running makepkg as root is a BAD idea and can cause
    permanent, catastrophic damage to your system. If you
    wish to run as root, please use the --asroot option.

user@~:$ arch-makepkg
==> ERROR: PKGBUILD does not exist

Now what ?
Logged
hata_ph
Packager
Vectorian
****
Posts: 3258


-- Just being myself --


« Reply #3 on: April 05, 2011, 10:45:08 pm »

In VL7-BETA-2.1

root:# arch-makepkg
==> ERROR: Running makepkg as root is a BAD idea and can cause
    permanent, catastrophic damage to your system. If you
    wish to run as root, please use the --asroot option.

user@~:$ arch-makepkg
==> ERROR: PKGBUILD does not exist

Now what ?

u need to have a PKGBUILD in that directory to run arch-makepkg...
Logged
Pita
Vectorian
****
Posts: 1311


« Reply #4 on: April 05, 2011, 11:44:14 pm »

In VL7-BETA-2.1

root:# arch-makepkg
==> ERROR: Running makepkg as root is a BAD idea and can cause
    permanent, catastrophic damage to your system. If you
    wish to run as root, please use the --asroot option.

user@~:$ arch-makepkg
==> ERROR: PKGBUILD does not exist

Now what ?

u need to have a PKGBUILD in that directory to run arch-makepkg...

Cant't find it.

How abut doing 'fakeroot' first and then arch-makepkg with -asroot option.
Safe ?

@/usr/bin:$ arch-makepkg
==> ERROR: You do not have write permission to store packages in /usr/bin.
    Aborting...
Logged
hata_ph
Packager
Vectorian
****
Posts: 3258


-- Just being myself --


« Reply #5 on: April 06, 2011, 12:31:10 am »

I assume you are already run abs in terminal as root.
Goto /var/abs/, look for the apps that want to build. Copy the folder to your home directory as normal user. Open a terminal on that folder which have a PKCBUILD and run arch-makepkg

Quote
vl7b2:/~/icewm
hata_ph:$ ls
ChangeLog  PKGBUILD  icewm.desktop
vl7b2:/~/icewm
hata_ph:$ arch-makepkg
Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #6 on: April 06, 2011, 06:49:08 am »

@pita
Here is a video I made for a different reason, but it has a good example of using abs at about reason #8 if I remember right.
http://www.opensourcebistro.com/Tutorial/vl70/beginning/4Reviewers/4Reviewers.html
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
pierce.jason
Packager
Vectorite
****
Posts: 250



« Reply #7 on: April 06, 2011, 01:29:09 pm »

In VL7-BETA-2.1

root:# arch-makepkg
==> ERROR: Running makepkg as root is a BAD idea and can cause
    permanent, catastrophic damage to your system. If you
    wish to run as root, please use the --asroot option.

user@~:$ arch-makepkg
==> ERROR: PKGBUILD does not exist

Now what ?

u need to have a PKGBUILD in that directory to run arch-makepkg...

Pita, did you download and expand the sources I provided? xfce4-libs-4.8-1.src.tar.gz has the PKGBUILD and xfce4-libs.install file in it.

Code:
cd ~;
mkdir packages;
# Put downloaded xfce4-libs-4.8-1.src.tar.gz here in packaging directory
gunzip xfce4-libs-4.8-1.src.tar.gz;
tar -xf xfce4-libs-4.8-1.src.tar
cd xfce4-libs;
arch-makepkg;
su;
installpkg xfce4-libs-4.8-i586-1vl70.txz;
Logged

pierce.jason
Email: $(echo -e "moc\x2eliamg\x40nosaj.ecreip" | rev)
Pita
Vectorian
****
Posts: 1311


« Reply #8 on: April 06, 2011, 10:52:34 pm »

Thanks all!

Did run abs, unfortunately no xfce4-lib* found at all in /var/abs with find file
in mc a feature I am well aware of.

BTW strechedthin, that video 4Reviewers is good, however, at times a hard to
understand mumbling. I hope you don't mind me telling.

Looking for *-libs*
 /var/abs/extra                                                  |        |
|/commun |     ggz-client-libs                                             |        |
|/commun | /var/abs/community                                              |        |
|/core   |     intellij-idea-libs                                          |        |
|/extra  |     cross-arm-wince-cegcc-libstdcppdll                          |        |
|/gnome- |     synce-libsynce                                              |        |
|/kde-un | /var/abs/core/gcc                                               |        |
|/stagin |     gcc-libs.install                                            |        |
|/testin | /var/abs/community/buoh                                         |        |
|        |     buoh-libsoup24.patch                                        |        |
|        | /var/abs/community/sfml                                         |        |
|        |     use-system-libs.patch                                       |        |
|        | /var/abs/community/flobopuyo                                   
|        |     flobopuyo-0.20-libs.patch                                   |        |
|        | /var/abs/testing/gcc                                            |
|        |     gcc-libs.install   

« Last Edit: April 06, 2011, 11:15:40 pm by Pita » Logged
Pita
Vectorian
****
Posts: 1311


« Reply #9 on: April 07, 2011, 05:26:14 pm »

Actually, this one is small enough to attach as a fully assembled package.

Forum doesn't like .txz format so I tacked on .jpg to the end. Just remove .jpg and run
installpkg on the file.

Thanks pierce, got it. Smiley
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!